# Name of the plugin.
name=Time Server Cluster
category=Common Clusters

# Any string is allowable here.  Generally it is either: Production Ready, Test Tool, or Requires Extending
qualityString=Test Tool (not suitable for production)
# This is must be one of the following:  productionReady, testTool, extensionNeeded
quality=test

introducedIn=zcl-1.0-07-5123-03

# Description of the plugin.
description=Ember implementation of Time server cluster.  This plugin is not recommended for production because it uses a software system to keep track of time.  Instead it is preferred for the user to hook the cluster callbacks into a set of hardware routines to maintain the device's system clock.  This software implementation is inappropriate for sleepy devices since it will prevent them from sleeping for longer than one second. During initialization, the Time Server plugins writes the TimeStatus attribute based on the plugin options, overriding any attribute default that may have been configured.

# List of .c files that need to be compiled and linked in.
sourceFiles=time-server.c

# List of callbacks implemented by this plugin
implementedCallbacks=emberAfTimeClusterServerInitCallback,emberAfTimeClusterServerTickCallback

# Turn this on by default
includedByDefault=true

# Which clusters does it depend on
dependsOnClusterServer=time

options=superseding,master,synchronized,masterZoneDst

superseding.name=Superseding bit
superseding.description=If this option is selected, the Superseding bit of the TimeStatus attribute will be set to indicate that the time server should be considered as a more authoritative time server. Warning: you should not set this unless your device can keep accurate time. 
superseding.type=BOOLEAN
superseding.default=FALSE

master.name=Master bit
master.description=If this option is selected, the Master bit of the TimeStatus attribute will be set to indicate that the real time clock corresponding to the Time attribute is internally set to the time standard.
master.type=BOOLEAN
master.default=FALSE

synchronized.name=Synchronized bit
synchronized.description=If this option is selected and the Master bit option is not selected, the Synchronized bit of the TimeStatus attribute will be set to indicate that the time has been synchronized over the ZigBee network.  If the Master bit option is set, this option has no effect.
synchronized.type=BOOLEAN
synchronized.default=FALSE

masterZoneDst.name=Master Zone Dst bit
masterZoneDst.description=If this option is selected, the MasterZoneDst bit of the TimeStatus attribute will be set to indicate the TimeZone, DstStart, DstEnd, and DstShift attributes are set internally to correct values for the location of the clock.
masterZoneDst.type=BOOLEAN
masterZoneDst.default=FALSE
